from django.shortcuts import render
from rakka.utils import rerender
from . import models
from main.models import Update

@rerender
def nerdshope():
	accounts=models.BankAccount.objects.all()
	sums={curr:sum([n.balance for n in filter(lambda x:x.currency==curr,accounts)]) for curr in set(map(lambda x:x.currency,accounts))}
	moneyblob='</li>\n<li>'.join([f'{k}: {v}' for k,v in sums.items()])
	moneyblob='Current monetary state: <ul>\n<li>'+moneyblob+'</li>\n</ul>'
	return {'title':"Nerds' Hope",'content':"Store stuff. TODOing. Will include inventory and budget. <a href='https://facebook.com/nerdshope'>FB</a><br/>\nAddress is 21 Kensington St, Glenorchy<br/>\nOff dates 2022: 26th August (more TBA). Additionally, on some weeks (TBA) the store will move around the back (through the gate) around 18:00 to make room for a youth group. If in doubt, ask the youth group for directions.<br/>\n"+moneyblob,'date':Update.objects.get_or_create(page='nh_main')[0].date}

@rerender
def budget():
	pass
